<!doctype html>
<html>
<head>
    <title>New Release: Tor Browser 10.5a4 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor Browser 10.5a4 | Tor Project">
    <meta property="og:description" content="Tor Browser 10.5a4 is now available from the Tor Browser Alpha download page and also from our...">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-browser-105a4/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-browser-105a4/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor Browser 10.5a4
      </h1>
    <p class="meta">by gk | November 18, 2020</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser 10.5a4 is now available from the <a href="https://www.torproject.org/download/alpha/" rel="nofollow">Tor Browser Alpha download page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/10.5a4/" rel="nofollow">distribution directory</a>.</p>

<p><b>Note:</b> This is an alpha release, an experimental version for users who want to help us test new features. For everyone else, we recommend downloading the latest stable release  for <a href="https://blog.torproject.org/new-release-tor-browser-1005" rel="nofollow">desktop</a> or <a href="https://blog.torproject.org/new-release-tor-browser-1004" rel="nofollow">Android</a> instead.</p>

<p>This release updates Firefox to 78.5.0esr for desktop and Fenix to 83.0 for Android. Additionally, we update Tor to 0.4.5.1-alpha. This release includes important security updates both for <a href="https://www.mozilla.org/en-US/security/advisories/mfsa2020-51/" rel="nofollow">desktop</a> and <a href="https://www.mozilla.org/en-US/security/advisories/mfsa2020-50/" rel="nofollow">Android</a> users.</p>

<p><strong>Note:</strong> Tor Browser 10.5 <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40089" rel="nofollow">does not support CentOS 6</a>.</p>

<p>The <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=master" rel="nofollow">full changelog</a> since Tor Browser 10.5a3 is:</p>

<ul>
<li>All Platforms
<ul>
<li>Update Tor to 0.4.5.1-alpha</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40212" rel="nofollow">Bug 40212</a>: Add new default bridge "PraxedisGuerrero"</li>
</ul>
</li>
<li>Windows + OS X + Linux
<ul>
<li>Update Firefox to 78.5.0esr</li>
</ul>
</li>
<li>Android
<ul>
<li>Update Fenix to 83.1.0</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/27002" rel="nofollow">Bug 27002</a>: (Mozilla 1673237) Always allow SVGs on about: pages</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40137" rel="nofollow">Bug 40137</a>: Built-in https-everywhere storage is not migrated to idb</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40152" rel="nofollow">Bug 40152</a>: Top Crash: android.database.sqlite.SQLiteConstraintException</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40205" rel="nofollow">Bug 40205</a>: Replace occurrence of EmptyCString with 0-length _ns literal</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40206" rel="nofollow">Bug 40206</a>: Disable the /etc/hosts parser</li>
<li>Translations update</li>
</ul>
</li>
<li>Build System
<ul>
<li>OS X
<ul>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40139" rel="nofollow">Bug 40139</a>: Set RANLIB in macOS tor build</li>
</ul>
</li>
<li>Android
<ul>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40211" rel="nofollow">Bug 40211</a>: Lower required build-tools version to 29.0.2</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40126" rel="nofollow">Bug 40126</a>: Bump Node to 10.22.1 for mozilla83</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40127" rel="nofollow">Bug 40127</a>: Update components for switch to mozilla83-based Fenix</li>
</ul>
</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-290435"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290435" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 18, 2020</p>
    </div>
    <a href="#comment-290435">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290435" class="permalink" rel="bookmark">Tor NOTICE: Bridge &#039;dktoke&#039;…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor NOTICE: Bridge 'dktoke' has both an IPv4 and an IPv6 address.  Will prefer using its IPv6 address ([2a0c:4d80:42:702::1]:27015) based on the configured Bridge address.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290447"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290447" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 19, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290435" class="permalink" rel="bookmark">Tor NOTICE: Bridge &#039;dktoke&#039;…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290447">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290447" class="permalink" rel="bookmark">A note to anyone replying:…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A note to anyone replying: That is one of the default bridges, so it is effectively already public.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290436"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290436" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 18, 2020</p>
    </div>
    <a href="#comment-290436">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290436" class="permalink" rel="bookmark">meek-azure is not working:
…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>meek-azure is not working:<br />
[11-18 19:36:27] Torbutton INFO: controlPort &gt;&gt; 650 STREAM 211 FAILED 0 0.0.2.0.$97700DFE9F483596DDA6264C4D7DF7641E1E39CE.exit:2 REASON=TIMEOUT CLIENT_PROTOCOL=UNKNOWN NYM_EPOCH=0 SESSION_GROUP=-2 ISO_FIELDS=SESSION_GROUP</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290441"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290441" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 19, 2020</p>
    </div>
    <a href="#comment-290441">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290441" class="permalink" rel="bookmark">most of time startpage asks…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>most of time startpage asks for verification, that means can not work with safest level.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290466"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290466" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 21, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290441" class="permalink" rel="bookmark">most of time startpage asks…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290466">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290466" class="permalink" rel="bookmark">Startpage blocks searches…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Startpage blocks searches from tor users most of the time for quite a while now, no matter what security level, however, <a href="mailto:support@startpage.com" rel="nofollow">support@startpage.com</a> is the place to complain, there's nothing the torproject can do to solve this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290449"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290449" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 19, 2020</p>
    </div>
    <a href="#comment-290449">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290449" class="permalink" rel="bookmark">Twitter on Safest gives a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Twitter on Safest gives a yellow note:<br />
"This is the legacy version of twitter.com. We will be shutting it down on 15 December 2020. Please switch to a supported browser or device. You can see a list of supported browsers in our Help Center."<br />
<a href="https://mobile.twitter.com/torproject" rel="nofollow">https://mobile.twitter.com/torproject</a><br />
<a href="https://help.twitter.com/using-twitter/twitter-supported-browsers" rel="nofollow">https://help.twitter.com/using-twitter/twitter-supported-browsers</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290508"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290508" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 26, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290449" class="permalink" rel="bookmark">Twitter on Safest gives a…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290508">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290508" class="permalink" rel="bookmark">You can use front-end Nitter…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can use front-end Nitter as an alternative, works great without javascript.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290454"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290454" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 20, 2020</p>
    </div>
    <a href="#comment-290454">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290454" class="permalink" rel="bookmark">I installed the Snowflake…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I installed the Snowflake add-on in Firefox and when I click it it says it's enabled but how do I know that it's actually doing anything? <a href="https://i.ibb.co/wRSPCzZ/snowflake.png" rel="nofollow">I see this.</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290472"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290472" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 22, 2020</p>
    </div>
    <a href="#comment-290472">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290472" class="permalink" rel="bookmark">This update set Firefox.exe …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This update set Firefox.exe (Tor) to zero size, therefore I can't start Tor Browser. Updater.exe does nothing.</p>
<p>Is there any way to <em>restore/extract</em> Firefox.exe from update archive? Unless just reinstalling the whole bowser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290517"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290517" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 27, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290472" class="permalink" rel="bookmark">This update set Firefox.exe …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290517">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290517" class="permalink" rel="bookmark">First, note this version is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>First, note this version is an alpha/development release (10.5a4, "a" for "alpha"). Most people are better off using the standard stable release.</p>
<p>It might be possible to extract the exe from the installer. Open the installer in an archive (zip) program. Firefox.exe is in the installer at <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #339933;">/</span>tor<span style="color: #339933;">-</span>browser_xx<span style="color: #339933;">-</span>XX<span style="color: #339933;">/</span>Browser<span style="color: #339933;">/</span></code></span>.  Or you could reinstall the whole browser. Export/backup any customized bookmarks, settings, and bridges before reinstalling.</p>
<p>Don't bother digging into the update archives (<a href="https://archive.torproject.org/tor-package-archive/torbrowser/10.5a4/" rel="nofollow">mar file extension</a>). First, they are deleted automatically after updating. Second, mar (Mozilla ARchive) is a custom file type:</p>
<p>1. <a href="https://wiki.mozilla.org/Software_Update:MAR#Why_not_use_ZIP_or_some_other_standard_file_format.3F" rel="nofollow">https://wiki.mozilla.org/Software_Update:MAR#Why_not_use_ZIP_or_some_ot…</a><br />
2. <a href="https://wiki.mozilla.org/Software_Update:Manually_Installing_a_MAR_file" rel="nofollow">https://wiki.mozilla.org/Software_Update:Manually_Installing_a_MAR_file</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290556"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290556" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Billy the kid (not verified)</span> said:</p>
      <p class="date-time">November 28, 2020</p>
    </div>
    <a href="#comment-290556">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290556" class="permalink" rel="bookmark">When i use other browsers…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Anonymouse.org shows TOR HTTPS is broken when using email</p>
<p>When i use other browsers with anonymouse.org, it shows the https is fine. (A broken lock shows up when using tor)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290557"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290557" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Pete (not verified)</span> said:</p>
      <p class="date-time">November 29, 2020</p>
    </div>
    <a href="#comment-290557">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290557" class="permalink" rel="bookmark">This year I&#039;ve started…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This year I've started getting the "Something Went Wrong! Tor is not working in this browser." page. It started as a rare event, but is happening every day now.<br />
It feels like the frequency is increasing with each update, but ...</p>
<p>Today I tried to open an .onion, after receiving the red page, and it actually worked. Checked the circuits for a few pages, and everything seems fine.</p>
<p>So if Tor is working properly, what is causing TorBrowser to display the red page (with increasing frequency)? Since nothing is really broken, I doubt it is related to updates, right?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290610"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290610" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">December 07, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290557" class="permalink" rel="bookmark">This year I&#039;ve started…</a> by <span>Pete (not verified)</span></p>
    <a href="#comment-290610">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290610" class="permalink" rel="bookmark">Which operating system are…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Which operating system are you using (Windows, macOS, Linux, and the version number)?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290584"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290584" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>answer (not verified)</span> said:</p>
      <p class="date-time">November 30, 2020</p>
    </div>
    <a href="#comment-290584">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290584" class="permalink" rel="bookmark">From closed Tor Browser 10…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>From closed Tor Browser 10.5a3:<br />
<a href="https://blog.torproject.org/comment/290550#comment-290550" rel="nofollow">https://blog.torproject.org/comment/290550#comment-290550</a></p>
<p>/profile.default/storage/ still deletable after browserexit or https-everywhere, the browser, is going nuts?<br />
&gt; "I don't understand this question, can you clarify?"</p>
<p>handle /profile.default/storage/ as temp-dir as till now.<br />
Don't mix foreign webstorage with browser configs!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290611"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290611" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">December 07, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290584" class="permalink" rel="bookmark">From closed Tor Browser 10…</a> by <span>answer (not verified)</span></p>
    <a href="#comment-290611">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290611" class="permalink" rel="bookmark">That was a decision made for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That was a decision made for Firefox, please contact them.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
